Results 1 to 20 of 20

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Modifyng 2.2.1 apps to work on lower firmwares 2.0 and up

  1. #1
    iPhone? More like MyPhone NArush's Avatar
    Join Date
    Mar 2008
    Location
    Atlanta
    Posts
    263
    Thanks
    41
    Thanked 30 Times in 25 Posts

    Default Modifyng 2.2.1 apps to work on lower firmwares 2.0 and up
    For anyone like me who's too lazy to upgrade their firmware, but wants to enjoy 2.2.1 apps, here's a fairly simple way to mod them to work on your OS.

    Using Winzip and wordpad follow these steps:

    Step #1. After you buy your app from itunes, drag it to your desktop.

    Step #2. Using winzip, extract the ipa and open (double click) to the application file.

    Step #3. Look for the info.plist file, then right click on it.

    Step #4. After right clicking, it will say 'open with' then choose word pad.

    Step #5. Scroll towards the bottom of the plist file and it should say something like "OS firmware 2.2.1". This is where you change it to say "2.2" by deleting the .1.

    Step#6. Click SAVE to save the file.

    Step #7. After you're done, open it one more time to check that it saved your changes because I usually have to save it twice.

    After you verify it's finished, double click on it and itunes will ask you, "replace file?' and click yes.

    Sync and you're done.

  2. #2
    Livin the iPhone Life
    Join Date
    Aug 2008
    Location
    New York
    Posts
    1,024
    Thanks
    3
    Thanked 78 Times in 63 Posts

    Expect crashes from any apps that make calls to a API that isn't available in your firmware.

  3. #3
    iPhone? More like MyPhone NArush's Avatar
    Join Date
    Mar 2008
    Location
    Atlanta
    Posts
    263
    Thanks
    41
    Thanked 30 Times in 25 Posts

    Maybe for some.. However, I have modded over 19 apps and have seen zero issues. Use at your own risk.

  4. #4
    iPhone? More like MyPhone
    Join Date
    Oct 2007
    Location
    Fame City, OH
    Posts
    187
    Thanks
    10
    Thanked 23 Times in 20 Posts

    Man thanks alot i've been having issues with this now i can get a bunch of apps that i wanted

    Ok i followed this exactly its not accepting ipa after i chaqnge it
    Last edited by iMacMar; 2009-04-07 at 08:20 PM. Reason: Automerged Doublepost

  5. #5
    iPhone? More like MyPhone NArush's Avatar
    Join Date
    Mar 2008
    Location
    Atlanta
    Posts
    263
    Thanks
    41
    Thanked 30 Times in 25 Posts

    PM me and I can help you.

  6. #6
    Retired Moderator soulthoughts's Avatar
    Join Date
    Sep 2007
    Location
    Tacoma, WA
    Posts
    3,096
    Thanks
    333
    Thanked 603 Times in 506 Posts

    Didn't work for me either. I tried to mod the plist for a 2.2.1 app to work on 2.2 and it still won't sync.

  7. #7
    iPhone? More like MyPhone NArush's Avatar
    Join Date
    Mar 2008
    Location
    Atlanta
    Posts
    263
    Thanks
    41
    Thanked 30 Times in 25 Posts

    Make sure to find where it reads:
    [key]MinimumOSVersion[/key]
    [string]2.2.1[/string].

    This is where you alter the file to 2.2 or whatever. This should be near the end of the plist file.

  8. #8
    iPhone? More like MyPhone
    Join Date
    Oct 2007
    Location
    Fame City, OH
    Posts
    187
    Thanks
    10
    Thanked 23 Times in 20 Posts

    I did get it to work but it seems that free apps arent working if you doubt it use paid apps it works like a charm then

  9. #9
    Retired Moderator StealthBravo's Avatar
    Join Date
    Jan 2008
    Location
    TX  Follow me @StealthBravo
    Posts
    32,474
    Thanks
    44
    Thanked 5,329 Times in 3,113 Posts

    Quote Originally Posted by boxxa View Post
    Expect crashes from any apps that make calls to a API that isn't available in your firmware.
    Exactly. I know it is a pain in the butt sometimes but just upgrade.

  10. #10
    Retired Moderator soulthoughts's Avatar
    Join Date
    Sep 2007
    Location
    Tacoma, WA
    Posts
    3,096
    Thanks
    333
    Thanked 603 Times in 506 Posts

    I think it might be an API thing. I can't get Oregon Trail or Let's Golf to work.

  11. #11
    iPhone? More like MyPhone NArush's Avatar
    Join Date
    Mar 2008
    Location
    Atlanta
    Posts
    263
    Thanks
    41
    Thanked 30 Times in 25 Posts

    Soulthoughts, I have both of those apps and they work fine for me and have never crashed. PM me and I'd be glad to help ya.

  12. The Following User Says Thank You to NArush For This Useful Post:

    soulthoughts (2009-04-09)

  13. #12
    When I attempt this I get the following error (when I double click and try to install the app in iTunes):
    The application could not be added to your iTunes library because it is not a valid application.

    It appears if I make any changes to an app it apparently changes the signature of the file.
    Any ideas?

  14. #13
    iPhone? More like MyPhone NArush's Avatar
    Join Date
    Mar 2008
    Location
    Atlanta
    Posts
    263
    Thanks
    41
    Thanked 30 Times in 25 Posts

    Which ipa are you modding? Check post #7 too. That's the only area you modify. PM me if you need help.

  15. #14
    iPhone? More like MyPhone
    Join Date
    Oct 2007
    Location
    Fame City, OH
    Posts
    187
    Thanks
    10
    Thanked 23 Times in 20 Posts

    Hey NArush did you get any luck with NBA Game Time app

  16. #15
    I used FWChanger and it worked. I know some people have had issues with FWChanger no problems yet, I'll have to wait and see.

  17. #16
    iPhone? More like MyPhone
    Join Date
    Oct 2007
    Location
    Fame City, OH
    Posts
    187
    Thanks
    10
    Thanked 23 Times in 20 Posts

    Ok i found that if you get a cracked version that works for free apps.. so its not really stealing if its free so don't worry about you conscious.. Im in no way promoting cracking apps

  18. #17
    Quote Originally Posted by NArush View Post
    Step #2. Using winzip, extract the ipa and open (double click) to the application file.

    Step #3. Look for the info.plist file, then right click on it.
    Hi,

    Thanks for the guide, but in step 2, how am I supposed to extract it if it is an ipa file? I can't seem to get step 2 right.

    I hope someone can help me out with step 2 and 3 so I can successfully use this guide.

    Thanks,

    Dom


    EDIT: I HAVE WORKED OUT HOW TO DO IT NOW, I JUST CHANGED THE IPA FILE TO .ZIP AND OPENED WITH WINRAR.

    THANKS FOR THE GUIDE!
    Last edited by domy; 2009-05-03 at 03:18 PM.

  19. #18
    Default issue on a few ipa files like islots and icall voip
    Bellow is a copy of the info.plist file from islots... iSlots 1.02 1 i have tried to edit this but when i try to add it back to the itunes it fails. I have had no probs with other ipa'a that follow a differnt format just wondering how you get around these ones if there is a way because i want to get icall also and 2.2.1 is req. and it has a file that looks like this in islots.


    bplist00

    _CFBundleVersion_CFBundleId entifier_CFBundleIconFile_CFBundleExecutable_ UIStatusBarHiddenYDTSDKName_MinimumOSVersion_ CFBundleDevelopmentRegion^DTPlatformName_CFBundl eInfoDictionaryVersion_CFBundleResourceSpecifica tion_CFBundleDisplayName_CFBundleSignature_C FBundlePackageType_LSRequiresIPhoneOS\CFBundleNa meT1.02_com.chrismiles.iSlotsXicon.pngViSlots ]iphoneos2.2.1U2.2.1RenXiphoneosS6.0_ResourceRule s.plistT????TAPPL  + = R e z ,@Vkx}   

  20. #19
    Retired Moderator StealthBravo's Avatar
    Join Date
    Jan 2008
    Location
    TX  Follow me @StealthBravo
    Posts
    32,474
    Thanks
    44
    Thanked 5,329 Times in 3,113 Posts

    it should be simple in a plist editor

  21. #20
    i did that and it still not accepting it when i try to add it to itunes it says a req file is missing but if i edit back to the way it was it works

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •